> ## Documentation Index
> Fetch the complete documentation index at: https://mako-docs.devinagiffy.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Organization

> Create a new organization

## Request

<ParamField body="name" type="string" required>
  Organization name (1-255 characters)
</ParamField>

<ParamField body="slug" type="string" required>
  URL-friendly identifier (lowercase, numbers, hyphens only)
</ParamField>

## Response

<ResponseField name="id" type="string">
  Organization UUID
</ResponseField>

<ResponseField name="name" type="string">
  Organization name
</ResponseField>

<ResponseField name="slug" type="string">
  Organization slug
</ResponseField>

<ResponseField name="onboardingState" type="string">
  Current onboarding state
</ResponseField>

<ResponseField name="createdAt" type="string">
  Creation timestamp
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST "https://api.hitler.app/api/organizations" \
    -H "Content-Type: application/json" \
    -d '{
      "name": "Acme Corporation",
      "slug": "acme-corp"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "id": "org-uuid-123",
    "name": "Acme Corporation",
    "slug": "acme-corp",
    "onboardingState": "pending",
    "createdAt": "2024-01-15T10:00:00.000Z"
  }
  ```
</ResponseExample>
